httpd-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jerenkra...@apache.org
Subject svn commit: r126224 - /httpd/httpd/trunk/support/check_forensic
Date Sun, 23 Jan 2005 17:36:35 GMT
Author: jerenkrantz
Date: Sun Jan 23 09:36:32 2005
New Revision: 126224

URL: http://svn.apache.org/viewcvs?view=rev&rev=126224
Log:
* support/check_forensic: Fix script on platforms that do not have either
  mktemp or tempfile (such as Solaris).

Also tested on Darwin & FreeBSD.

Modified:
   httpd/httpd/trunk/support/check_forensic

Modified: httpd/httpd/trunk/support/check_forensic
Url: http://svn.apache.org/viewcvs/httpd/httpd/trunk/support/check_forensic?view=diff&rev=126224&p1=httpd/httpd/trunk/support/check_forensic&r1=126223&p2=httpd/httpd/trunk/support/check_forensic&r2=126224
==============================================================================
--- httpd/httpd/trunk/support/check_forensic	(original)
+++ httpd/httpd/trunk/support/check_forensic	Sun Jan 23 09:36:32 2005
@@ -7,9 +7,39 @@
 
 F=$1
 
-all=`mktemp -t fcall.XXXXXX || tempfile --prefix=fcall` || { echo "$0: Cannot create temporary
file" >&2; exit 1; }
-in=`mktemp -t fcin.XXXXXX || tempfile --prefix=fcin` || { echo "$0: Cannot create temporary
file" >&2; exit 1; }
-out=`mktemp -t fcout.XXXXXX || tempfile --prefix=fcout` || { echo "$0: Cannot create temporary
file" >&2; exit 1; }
+temp_create_method=file
+if test -f `which mktemp`; then
+  temp_create_method=mktemp
+elif test -f `which tempfile`; then
+  temp_create_method=tempfile
+fi
+
+create_temp()
+{
+  prefix=$1
+  case "$temp_create_method" in
+    file)
+      name="/tmp/$1.$$"
+      ;;
+    mktemp)
+      name=`mktemp -t $1.XXXXXX`
+      ;;
+    tempfile)
+      name=`tempfile --prefix=$1`
+      ;;
+    *)
+      echo "$0: Cannot create temporary file"
+      exit 1
+      ;;
+  esac
+}
+
+create_temp fcall
+all=$name
+create_temp fcin
+in=$name
+create_temp fcout
+out=$name
 trap "rm -f -- \"$all\" \"$in\" \"$out\";" 0 1 2 3 13 15
 
 cut -f 1 -d '|' $F  > $all

Mime
View raw message